GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_multiple
GTX Extensions (Experimental)

## Functions
template<typename genType >
genType | higherMultiple (genType const &Source, genType const &Multiple)
template<typename genType >
genType | lowerMultiple (genType const &Source, genType const &Multiple)

## Detailed Description

Find the closest number of a number multiple of other number.

<glm/gtx/multiple.hpp> need to be included to use these functionalities.

## Function Documentation

genType glm::higherMultiple | ( | genType const & | Source,
|  | genType const & | Multiple
| ) |  |

Higher multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See Also
  GLM_GTX_multiple

genType glm::lowerMultiple | ( | genType const & | Source,
|  | genType const & | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See Also
  GLM_GTX_multiple